gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Opaque A list of potential targets for a paste or drag-and-drop operation.
- Constructor
  2.12.0.0
  Basic constructor
- Constructor
  2.12.0.0
  an array of
  Constructor
- Constructor
  2.12.0.0
  a
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Method
  2.12.0.0
  System.Void `` `` `` the target type, as a target flags (for a drag-and-drop target, this is a value) application-defined ID for this target type Add a target type to the target list
- Method
  2.12.0.0
  System.Void `` `` `` the target type, as a string target flags (for a drag-and-drop target, this is a value) application-defined ID for this target type Add a target type to the target list
- Method
  2.12.0.0
  System.Void `` `` application-defined ID for these target types if , only add the target types for which Gtk knows how to convert a to the format. Adds the target types for images to the target list Appends the image targets supported by to the target list. All targets are added with the same .
- Method
  2.12.0.0
  System.Void `` `` `` an ID to be passed back to the application. if , then deserializable targets will be added, otherwise serializable targets. the text buffer containing the registered targets. Appends the rich text targets registered with a text buffer. See and for details of registration.
- Method
  2.12.0.0
  System.Void `` an array of Add entries to the target list
- Method
  2.12.0.0
  System.Void `` application-defined ID for these target types Adds the target types for text to the target list Appends the text targets supported by to the target list. All targets are added with the same .
- Method
  2.12.0.0
  System.Void `` application-defined ID for these target types Adds the target types for URIs to the target list Appends the URI targets supported by to the target list. All targets are added with the same .
- Method
  2.12.0.0
  System.Void To be added. To be added.
- Method
  2.12.0.0
  System.Boolean `` `` the target type to find, as a on output, will contain the target's application-defined ID Find a given target type if the target was found
- Method
  2.12.0.0
  System.Boolean `` `` the target type to find, as a string on output, will contain the target's application-defined ID Find a given target type if the target was found
- Property
  2.12.0.0
  GLib.GType Native GType. For internal use by language bindings.
- Method
  2.12.0.0
  Gtk.TargetEntry[] `` A . Converts a to an array of . An equivalent array of .
- Method
  2.12.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Void `` the target to remove, as a Remove an entry from the target list
- Method
  2.12.0.0
  System.Void `` the target to remove, as a string Remove an entry from the target list
- Method
  2.12.0.0
  System.Void `` To be added. To be added. To be added.